Link required document types to a control
curl --request POST \
--url https://api.trycomp.ai/v1/controls/{id}/document-types/link \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"formTypes": []
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({formTypes: []})
};
fetch('https://api.trycomp.ai/v1/controls/{id}/document-types/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/controls/{id}/document-types/link"
payload = { "formTypes": [] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Controls
Link required document types to a control | Comp AI API
Link required document types to a control in Comp AI. Manage controls, map them to policies, tasks, framework requirements, and evidence document types.
POST
/
v1
/
controls
/
{id}
/
document-types
/
link
Link required document types to a control
curl --request POST \
--url https://api.trycomp.ai/v1/controls/{id}/document-types/link \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"formTypes": []
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({formTypes: []})
};
fetch('https://api.trycomp.ai/v1/controls/{id}/document-types/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/controls/{id}/document-types/link"
payload = { "formTypes": [] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
API key for authentication
Path Parameters
Query Parameters
Scope to one framework instance. Omit to use every instance the control belongs to.
Body
application/json
Evidence form types to require for this control
Available options:
board_meeting, it_leadership_meeting, risk_committee_meeting, meeting, access_request, whistleblower_report, penetration_test, rbac_matrix, infrastructure_inventory, employee_performance_evaluation, network_diagram, tabletop_exercise, account_types Response
201 - undefined
Was this page helpful?

